/*============================================================================
  CMake - Cross Platform Makefile Generator
  Copyright 2000-2011 Kitware, Inc., Insight Software Consortium

  Distributed under the OSI-approved BSD License (the "License");
  see accompanying file Copyright.txt for details.

  This software is distributed WITHOUT ANY WARRANTY; without even the
  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the License for more information.
============================================================================*/
#ifndef cmGlobalVisualStudio11Win64XPGenerator_h
#define cmGlobalVisualStudio11Win64XPGenerator_h

#include "cmGlobalVisualStudio11XPGenerator.h"

class cmGlobalVisualStudio11Win64XPGenerator :
  public cmGlobalVisualStudio11XPGenerator
{
public:
  cmGlobalVisualStudio11Win64XPGenerator();
  static cmGlobalGenerator* New() {
    return new cmGlobalVisualStudio11Win64XPGenerator; }

  ///! Get the name for the generator.
  virtual const char* GetName() const {
    return cmGlobalVisualStudio11Win64XPGenerator::GetActualName();}
  static const char* GetActualName() {return "Visual Studio 11 Win64 XP/2003";}

  virtual const char* GetPlatformName() const {return "x64";}

  /** Get the documentation entry for this generator.  */
  virtual void GetDocumentation(cmDocumentationEntry& entry) const;

  virtual void AddPlatformDefinitions(cmMakefile* mf);
};
#endif
