/*============================================================================
  CMake - Cross Platform Makefile Generator
  Copyright 2000-2011 Kitware, Inc., Insight Software Consortium

  Distributed under the OSI-approved BSD License (the "License");
  see accompanying file Copyright.txt for details.

  This software is distributed WITHOUT ANY WARRANTY; without even the
  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the License for more information.
============================================================================*/
#ifndef cmGlobalVisualStudio11XPGenerator_h
#define cmGlobalVisualStudio11XPGenerator_h

#include "cmGlobalVisualStudio11Generator.h"


/** \class cmGlobalVisualStudio11XPGenerator  */
class cmGlobalVisualStudio11XPGenerator:
  public cmGlobalVisualStudio11Generator
{
public:
  cmGlobalVisualStudio11XPGenerator();
  static cmGlobalGenerator* New() {
    return new cmGlobalVisualStudio11XPGenerator; }

  ///! Get the name for the generator.
  virtual const char* GetName() const {
    return cmGlobalVisualStudio11XPGenerator::GetActualName();}
  static const char* GetActualName() {return "Visual Studio 11 XP/2003";}

  /** Get the documentation entry for this generator.  */
  virtual void GetDocumentation(cmDocumentationEntry& entry) const;
};
#endif
